Skip to main content
PATCH
Unswap

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

200 - application/json

Success

id
string | null

The UUID of the specific object.

object
string

A string describing the object type returned.

ad_hoc_amount
integer | null

The amount to use for this line item when the associated price is ad_hoc=true.

bundle_component_variants
object

A hash mapping bundle component product UUIDs (keys) to the selected variant UUIDs (values) for each component.

quantity
integer

The quantity of products being purchased.

note
string | null

A custom note for this line item. Useful for adding context or special instructions related to the product or purchase.

bump

Expandable – The associated bump ID.

bundle_line_item

Expandable – The associated bundle line item ID.

checkout

Expandable – The associated checkout ID.

checkout_fees_amount
integer

The total amount of checkout fees applied to this line item.

component_line_item
boolean

Whether or not this line item is a component of a bundle.

position
integer | null

The position of this line item. For bundle component line items, this mirrors the source bundle item's position so components render in a stable order across cart, checkout, and order payloads.

discount_amount
integer

Total discount amount applied to this line item.

fees

Expandable – Property not returned unless expanded.

fees_amount
integer

The total amount of fees applied to this line item.

full_amount
integer

The full amount to be charged across all periods.

fulfilled_quantity
integer

The quantity of products that have been fulfilled.

g_weight
number

Total weight of all items (quantity * unit_g_weight) in grams.

locked
boolean

Whether or not this line item is locked. If locked, it cannot be edited or deleted. Line items are locked when an invoice is opened.

price

Expandable – The associated price ID.

purchasable_status
string

The status indicating if this line item can be purchased (finalized with) or not and why. Possible values are price_gone, price_old_version, variant_mising, variant_gone, variant_old_version, out_of_stock, exceeds_purchase_limit, or purchasable.

scratch_amount
integer

The amount in cents that should be shown as the original amount before any price reductions, also known as the pre-sale price.

stock_held
boolean

Whether or not stock is being held for this line item. (This only applies to the quantity that has not been fulfilled.)

subtotal_amount
integer

Total before any discounts or taxes are applied.

swap

Expandable – The associated swap ID.

tax_amount
integer

Total tax amount.

tax_breakdown
object[]

The tax rate breakdown for this line item. One entry for its tax rate, or one per tax when its tax is made of several (for example GST and PST).

tax_rate
number

The tax rate for this line item.

total_amount
integer

Total after discounts and taxes are applied.

total_savings_amount
integer

The total amount in cents that was saved on this line item taking into account all negative fees, discounts, and all price scratch_amount values.

trial
boolean

Set to true if this line item is for a price that has a trial.

trial_amount
integer

The total amount in cents that is removed from this line item due to a trial period.

unit_dimensions_cm
object | null

The physical dimensions of this line item's product/variant in centimeters.

unit_g_weight
number

The weight per unit of product in grams.

upsell

Expandable – The associated upsell ID.

variant

Expandable – The associated variant ID.

variant_options
array | null

An array of the associated variant's options.

variant_option_names
array | null

An array of the associated product's variant option names.

created_at
integer | null

Time at which the object was created. Measured in seconds since the Unix epoch.

updated_at
integer | null

Time at which the object was last updated. Measured in seconds since the Unix epoch.